Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

9 Feb 1997 23:18:02 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Keith Gary Boyce <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Keith Gary Boyce wrote:
> 
> So that was the plan.. Cygnus does actually have a plan to make money
> from our collective effort. I applaud them for this since everyone deserves
> to be able to make money for their efforts.

Collective effort?  I don't see your copyright on any of the code.
I suppose Microsoft, Netscape, et. al. should give all the beta testers
royalties as a reward for their "collective effort", eh?

> Unfortunently what they are
> saying is only they can make money from this effort.

The software is free, so they can say it but it isn't so.
Cygnus can make money off of support, as they have always done
(see their motto); you can too, and they can't stop you.  But if they
think they can make money off of licenses for cygwin.dll, they are
dreaming (I won't even comment about the claims about "most
complete", "true compatibility", and "POSIX" in that press release,
except that the latter opens them up to a lawsuit if they haven't been
POSIX-certified).  They have already given the code away under the GPL.
They can put any new developments (which would *certainly* not be
"collective") under a different copyright and hoard the source.
If they don't hoard the source, then to allow commercial customers to
use it in proprietary products they have to put it under the LGPL, and
once they have done that anyone can include it in a proprietary product
without paying for a license.

> What we collectively
> need to do is assist in the development of minimal gnu-win32 so that we can
> also aspire to make money if we so desire.

You always have to option not to use code under the GPL.
If mingw32 doesn't include any, then that's one of the infinite ways
to do so.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".